Subject: bug#38109: Updated Emacs to HEAD, consistently not scaling now

From: Adam Sjøgren <[email-masked]>
Date: Sun, 24 Nov 2019 18:52:21 +0100

Alan writes:

> On Sat, Nov 23, 2019 at 01:02:50AM +0100, Adam Sjøgren wrote:
>> 
>> Note, though, how the RGB image looks different than the two others, it
>> has a border added.
>
> This is caused by the smoothing of the image. After a LOT of searching
> around I found out we need to set the repeat value for the Picture to
> pad so that when it’s applying the filter and looking outside the
> image bounds it will look for the nearest real pixel rather than
> inventing a transparent black one.
>
> Patch attached.

Looks much better after your hunt:

  Thanks for fixing this issue!

    Adam

-- 
 "I wish *I* was a tiger!"                                     Adam Sjøgren
 "A common lament."                                       [email-masked]